[Music]The repeat , next and last button in music player are not available.

VERIFIED FIXED

Status

Firefox OS
Gaia::Music
--
major
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Cola, OOO till Oct. 8th, Assigned: squib)

Tracking

({regression})

unspecified
ARM
Gonk (Firefox OS)
regression
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(blocking-b2g:2.5+, b2g-v2.2 unaffected, b2g-master verified)

Details

(Whiteboard: [2.5-aries-test-run-1])

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8645570 [details]
logcat001.txt

[1.Description]:
[Aries KK][v2.5][Flame v2.5][Music] When user selects a song from list to play, the repeat , next and last button in music player are not available.
Time: 14:05
See attachments: logcat001.txt and Aries KK _ v2.5.3gp


[2.Testing Steps]: 
1.Launch music app.
2.Choose Songs.
3.Choose a song to play.
4.Tap the repeat button, next button and last button.

[3.Expected Result]: 
4. The repeat , next and last button in music player should be available.

[4.Actual Result]: 
4. Those buttons are not available.

[5.Reproduction build]: 
Device: Aries KK 2.5(Affected)
Build ID               20150810003528
Gaia Revision          09dea2d5ff21cdb56da35fe4aa5bf4c90cf1da7f
Gaia Date              2015-08-09 17:11:47
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0e269a1f1beb
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150810.000017
Firmware Date          Mon Aug 10 00:00:24 UTC 2015
Bootloader             s1

Device: Flame KK 2.2(Affected)
9Build ID               20150809032505
Gaia Revision          102f1299e9eafe3760e1deb44d556b5c4f36b5af
Gaia Date              2015-08-06 20:46:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/da29b5af4232
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150809.065320
Firmware Date          Sun Aug  9 06:53:31 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK v2.5(Affected):
Build ID               20150809150206
Gaia Revision          3e5271663e7ef26290c29a45d2e42c0d3c20fe04
Gaia Date              2015-08-08 21:13:59
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/fd69d51a4068
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150809.182413
Firmware Date          Sun Aug  9 18:24:24 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Comment 1

3 years ago
Note:Device: Flame KK 2.2(Unaffected)
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → unaffected
status-b2g-master: --- → affected
Keywords: regression
(Reporter)

Comment 2

3 years ago
b2g-inbound Regression Window:

Last Working Environmental Variables:
Device: Flame KK 2.5
Build ID               20150807132510
Gaia Revision          0afa6429bf6a772289801600a84438cd7aa27b11
Gaia Date              2015-08-07 19:51:27
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/8b7c935412a5
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150808.182922
Firmware Date          Sat Aug  8 18:29:33 EDT 2015
Bootloader             L1TC000118D0

First Broken Environmental Variables:
Device: Flame KK 2.5
Build ID               20150807164309
Gaia Revision          d2c91b0663f2f2e3dc28d2e1e21e8a0a654398cc
Gaia Date              2015-08-07 22:55:14
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/b02a34551c91
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150808.182922
Firmware Date          Sat Aug  8 18:29:33 EDT 2015
Bootloader             L1TC000118D0

First Broken Gaia & Last Working Gecko - issue DOES repro
Gaia Revision          d2c91b0663f2f2e3dc28d2e1e21e8a0a654398cc
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/8b7c935412a5

First Broken Gecko & Last Working Gaia – issue DOES NOT repro
Gaia Revision          0afa6429bf6a772289801600a84438cd7aa27b11
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/b02a34551c91

Gaia pushlog:
https://github.com/mozilla-b2g/gaia/compare/0afa6429bf6a772289801600a84438cd7aa27b11...d2c91b0663f2f2e3dc28d2e1e21e8a0a654398cc
[Blocking Requested - why for this release]: Major identifiable regressions
blocking-b2g: --- → 2.5?
Hi Jim,

Could you have a look at this bug? It seems to be caused by bug 1166416

Thanks :)
Flags: needinfo?(squibblyflabbetydoo)
(Assignee)

Comment 5

3 years ago
Yep, I broke the repeat button really badly. :( So badly, that once you tap the repeat button, you can never hit next/previous again (even after restarting). Luckily, it's a one-line fix.
Flags: needinfo?(squibblyflabbetydoo)
Created attachment 8645746 [details] [review]
[gaia] jimporter:music-fix-repeat > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Assignee: nobody → squibblyflabbetydoo
Status: NEW → ASSIGNED
(Assignee)

Updated

3 years ago
Blocks: 1166416
Comment on attachment 8645746 [details] [review]
[gaia] jimporter:music-fix-repeat > mozilla-b2g:master

Review requested via IRC.

Looks good.
Attachment #8645746 - Flags: review+
(Assignee)

Comment 8

3 years ago
Landed: https://github.com/mozilla-b2g/gaia/commit/9a8880a95ee4a4aea7895d4e2bcab31bc49ea281
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Flags: in-testsuite-
Resolution: --- → FIXED
(Assignee)

Comment 9

3 years ago
Note: If you broke your music player by tapping repeat, you can unbreak it now by either 1) resetting your profile, or 2) tapping the repeat button again, which should reset it to "no repeat".
Thanks Jim :)

Hi Cola,

Could you help to check again? thanks.
Flags: needinfo?(wujianyao)
Keywords: verifyme
(Reporter)

Comment 11

3 years ago
This bug has been verified as "pass" on latest Nightly build of Flame master by the STR in Comment 0.

Actual results:The repeat , next and last button in music player are available.

Reproduce rate: 0/5

Device: Flame KK v2.5(Pass):
Build ID               20150810150206
Gaia Revision          9a8880a95ee4a4aea7895d4e2bcab31bc49ea281
Gaia Date              2015-08-10 16:01:11
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/8cba870a352c
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150810.183734
Firmware Date          Mon Aug 10 18:37:46 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Flags: needinfo?(wujianyao)
(Reporter)

Updated

3 years ago
QA Whiteboard: [MGSEI-Triage+]
Verified fixed on Latest Aries build.

Actual result:

Repeat, next, and previous buttons are functional.

Environmental Variables:
Device: Aries Master
BuildID: 20150811152431
Gaia: 9a8880a95ee4a4aea7895d4e2bcab31bc49ea281
Gecko: d82b5a78686a4f6630128fa7b999e0e343a9ef06
Gonk: 2916e2368074b5383c80bf5a0fba3fc83ba310bd
Version: 43.0a1 (Master) 
Firmware Version: D5803_23.1.A.1.28_NCB.ftf
User Agent: Mozilla/5.0 (Mobile; rv:43.0) Gecko/43.0 Firefox/43.0
Status: RESOLVED → VERIFIED
Flags: needinfo?(ktucker)
QA Whiteboard: [MGSEI-Triage+] → [MGSEI-Triage+][QAnalyst-Triage+]
Flags: needinfo?(ktucker)
(Reporter)

Updated

3 years ago
status-b2g-master: affected → verified
Issue has been verified on both Flame and Aries devices, removing verifyme keyword.
Keywords: verifyme

Updated

3 years ago
blocking-b2g: 2.5? → 2.5+
You need to log in before you can comment on or make changes to this bug.